variable "project_id" {
  description = "L'ID du projet GCP."
  type        = string
}

variable "instance_type" {
  description = "Le type de machine (machine type) pour les instances (ex: e2-small)."
  type        = string
}

variable "zone" {
  description = "La zone GCP où déployer les instances."
  type        = string
}

variable "image" {
  description = "L'image du système d'exploitation à utiliser (ex: debian-cloud/debian-11)."
  type        = string
  default     = "debian-cloud/debian-11"
}

variable "frontend_subnet_id" {
  description = "L'ID du sous-réseau frontend."
  type        = string
}

variable "backend_subnet_id" {
  description = "L'ID du sous-réseau backend."
  type        = string
}

variable "database_subnet_id" {
  description = "L'ID du sous-réseau database."
  type        = string
}